/*
 * $Id: game.h,v 1.1 2001/12/03 04:20:06 bsulcer Exp $
 * Copyright (c) 2001 Brian Sulcer <bsulcer@pobox.com>
 *
 * This file is part of Not One for PalmOS.
 *
 * Not One for PalmOS is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * Not One for PalmOS is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Not One for PalmOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef GAME_H
#define GAME_H

extern UInt32 round;
extern UInt32 die1;
extern UInt32 die2;
extern UInt32 playerScore;
extern UInt32 palmScore;
extern UInt32 roundTotal;
extern UInt32 firstRoll;
extern UInt8 turn; /* 1 = player, 2 = palm */
extern UInt8 numRolls;

void NewGame();
void RollDice();
void EndTurn();
Boolean ComputerWillRoll();

#endif

